CMakeLists.txt 411 Bytes
# Set the minimum version of cmake required to build this project
cmake_minimum_required(VERSION 2.6)

project(o_gnuplot)

find_package(blc_channel REQUIRED)
find_package(blc_program REQUIRED)

add_definitions(${BL_DEFINITIONS} -std=c++14)
include_directories(${BL_INCLUDE_DIRS})
add_executable(o_gnuplot src/o_gnuplot.cpp src/history_graph.cpp src/graph.cpp )
target_link_libraries(o_gnuplot ${BL_LIBRARIES})